Debian Bug report logs - #384850
make: /usr/sbin/setfiles: Command not found

version graph

Package: selinux-policy-refpolicy-src; Maintainer for selinux-policy-refpolicy-src is (unknown);

Reported by: Uwe Hermann <uwe@hermann-uwe.de>

Date: Sun, 27 Aug 2006 12:03:05 UTC

Severity: normal

Fixed in version refpolicy/0.0.20060907-1

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwe@debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#384850; Package checkpolicy. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
New Bug report received and forwarded. Copy sent to uwe@debian.org, Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: make: /usr/sbin/setfiles: Command not found
Date: Sun, 27 Aug 2006 13:47:23 +0200
[Message part 1 (text/plain, inline)]
Package: checkpolicy
Version: 1.30.10-2
Severity: grave

Hi,

running 'make relabel' in /etc/selinux/refpolicy/src/policy outputs this:


------
Compiling and installing refpolicy /etc/selinux/refpolicy/policy/policy.20
/usr/bin/checkpolicy policy.conf -o /etc/selinux/refpolicy/policy/policy.20
/usr/bin/checkpolicy:  loading policy configuration from policy.conf
policy/modules/admin/apt.te:144:WARNING 'unrecognized character' at token ''' on line 83658:
        '
#line 144
policy/modules/system/selinuxutil.te:624:WARNING 'unrecognized character' at token ''' on line 1055248:
        '
#line 624
policy/modules/admin/apt.te:144:WARNING 'unrecognized character' at token ''' on line 83658:
        '
#line 144
policy/modules/system/selinuxutil.te:624:WARNING 'unrecognized character' at token ''' on line 1055248:
        '
#line 624
policy/modules/admin/apt.te:144:WARNING 'unrecognized character' at token ''' on line 83658:
        '
#line 144
policy/modules/system/selinuxutil.te:624:WARNING 'unrecognized character' at token ''' on line 1055248:
        '
#line 624
/usr/bin/checkpolicy:  policy configuration loaded
/usr/bin/checkpolicy:  writing binary representation (version 20) to /etc/selinux/refpolicy/policy/policy.20
Installing system.users
m4 -D self_contained_policy -D strict_policy -D hide_broken_symptoms -D self_con
tained_policy policy/support/loadable_module.spt policy/support/misc_macros.spt 
policy/support/obj_perm_sets.spt tmp/generated_definitions.conf policy/users | sed -r -e 's/^[[:blank:]]+//' \
                -e '/^[[:blank:]]*($|#)/d' >> tmp/system.users
install -m 644 tmp/system.users /etc/selinux/refpolicy/users/system.users
Validating refpolicy file_contexts.
/usr/sbin/setfiles -q -c /etc/selinux/refpolicy/policy/policy.20 file_contexts
make: /usr/sbin/setfiles: Command not found
make: *** [/etc/selinux/refpolicy/contexts/files/file_contexts] Error 127
------

The first few WARNINGS are not critical I assume (correct?), but
/usr/sbin/setfiles doesn't exist, it's /sbin/setfiles on my system.

Running 'make relabel' again gets me:

------
cat: /selinux/policyvers: No such file or directory
Validating refpolicy file_contexts.
/usr/sbin/setfiles -q -c /etc/selinux/refpolicy/policy/policy.20 file_contexts
make: /usr/sbin/setfiles: Command not found
make: *** [/etc/selinux/refpolicy/contexts/files/file_contexts] Error 127
------

The "cat: /selinux/policyvers: No such file or directory" is probably
there because I haven't enabled SELinux yet (no selinux=1 kernel option).

After a "ln -s /sbin/setfiles /usr/sbin/setfiles" and another
"make relabel" I get:

------
cat: /selinux/policyvers: No such file or directory
[...]
grep: /etc/libuser.conf: No such file or directory
You do not have access to /etc/libuser.conf LU_HOMEDIRECTORY=
The user "netuser_u" is not present in the passwd file, skipping...
The user "staff_u" is not present in the passwd file, skipping...
The user "sysadm_u" is not present in the passwd file, skipping...
[...]
------

The rest seems to work ok.


HTH, Uwe.
-- 
Uwe Hermann 
http://www.hermann-uwe.de
http://www.it-services-uh.de  | http://www.crazy-hacks.org 
http://www.holsham-traders.de | http://www.unmaintained-free-software.org
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `checkpolicy' to `selinux-policy-refpolicy-src'. Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `grave' Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Manoj Srivastava <srivasta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Uwe Hermann <uwe@hermann-uwe.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 384850-close@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 384850-close@bugs.debian.org
Subject: Bug#384850: fixed in refpolicy 0.0.20060907-1
Date: Fri, 08 Sep 2006 00:17:08 -0700
Source: refpolicy
Source-Version: 0.0.20060907-1

We believe that the bug you reported is fixed in the latest version of
refpolicy, which is due to be installed in the Debian FTP archive:

refpolicy_0.0.20060907-1.diff.gz
  to pool/main/r/refpolicy/refpolicy_0.0.20060907-1.diff.gz
refpolicy_0.0.20060907-1.dsc
  to pool/main/r/refpolicy/refpolicy_0.0.20060907-1.dsc
refpolicy_0.0.20060907.orig.tar.gz
  to pool/main/r/refpolicy/refpolicy_0.0.20060907.orig.tar.gz
selinux-policy-refpolicy-doc_0.0.20060907-1_all.deb
  to pool/main/r/refpolicy/selinux-policy-refpolicy-doc_0.0.20060907-1_all.deb
selinux-policy-refpolicy-src_0.0.20060907-1_all.deb
  to pool/main/r/refpolicy/selinux-policy-refpolicy-src_0.0.20060907-1_all.deb
selinux-policy-refpolicy-strict_0.0.20060907-1_all.deb
  to pool/main/r/refpolicy/selinux-policy-refpolicy-strict_0.0.20060907-1_all.deb
selinux-policy-refpolicy-targeted_0.0.20060907-1_all.deb
  to pool/main/r/refpolicy/selinux-policy-refpolicy-targeted_0.0.20060907-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384850@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manoj Srivastava <srivasta@debian.org> (supplier of updated refpolicy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  8 Sep 2006 00:27:39 -0500
Source: refpolicy
Binary: selinux-policy-refpolicy-src selinux-policy-refpolicy-targeted selinux-policy-refpolicy-strict selinux-policy-refpolicy-doc
Architecture: source all
Version: 0.0.20060907-1
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Manoj Srivastava <srivasta@debian.org>
Description: 
 selinux-policy-refpolicy-doc - Documentation for the SELinux reference policy
 selinux-policy-refpolicy-src - Source of the SELinux reference policy for customization
 selinux-policy-refpolicy-strict - Strict variant of the SELinux reference policy
 selinux-policy-refpolicy-targeted - Targeted variant of the SELinux reference policy
Closes: 384502 384850
Changes: 
 refpolicy (0.0.20060907-1) unstable; urgency=low
 .
   * New upstream SCM HEAD.
   * Bug fix: "selinux-policy-refpolicy-src: Compile failure of modular
     targeted policy", thanks to Simon Richard Grint. Put a wrapper around
     the offending lines to only take effect when running a strict policy.
                                                             (Closes: #384502).
   * Bug fix: "make: /usr/sbin/setfiles: Command not found", thanks to Uwe
     Hermann. Fixed upstream.                                (Closes: #384850).
Files: 
 e30233e3d04a04699aaad07f3a53072a 820 admin optional refpolicy_0.0.20060907-1.dsc
 183f5d1a3533b116ff23d7496ab6f3de 429989 admin optional refpolicy_0.0.20060907.orig.tar.gz
 c54c5c98b3109dbe57d38d39cf2da00b 143958 admin optional refpolicy_0.0.20060907-1.diff.gz
 64b62dc148901e3213aeabbf7fac1438 1489026 admin optional selinux-policy-refpolicy-strict_0.0.20060907-1_all.deb
 1afb9435855b4806dca9a9d75050352a 1218934 admin optional selinux-policy-refpolicy-targeted_0.0.20060907-1_all.deb
 51a3b5795eb11b4111c054ebde5bfa4b 546172 admin optional selinux-policy-refpolicy-src_0.0.20060907-1_all.deb
 ca1dd0167ce4e172a1751bd62a8aeedb 308244 doc optional selinux-policy-refpolicy-doc_0.0.20060907-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFARSKIbrau78kQkwRAgIMAKDVPqlw7sNKHgsiteXntvt/Mr2Z0ACfWDjO
Evjpibs0O8zLKY4ub3/QD2o=
=dWwm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 19:34:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:55:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.